gd_nframes64(3)

NAME
gd_nframes64 — report the size of a dirfile with largefile support

SYNOPSIS
#define _LARGEFILE64_SOURCE

#include <getdata.h>

off64_t gd_nframes64(DIRFILE *dirfile);

DESCRIPTION
This version of gd_nframes(3) uses a 64-bit offset type, even if off_t is a 32-bit type. It is only available if one defines _LARGEFILE64_SOURCE. If off_t is a 64-bit type (i.e. if _FILE_OFFSET_BITS is defined to be 64), this function will be called gd_nframes(). Otherwise, gd_nframes() will be a version of this function which uses a 32-bit off_t.

SEE ALSO
gd_nframes(3), feature_test_macros(7)